Bug 43169 - Wrong build action for files added in Assets folder of Android projects
Summary: Wrong build action for files added in Assets folder of Android projects
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Android Add-in (show other bugs)
Version: 6.0.0 (C7)
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: (C8)
Assignee: Greg Munn
URL:
Depends on:
Blocks:
 
Reported: 2016-08-08 14:04 UTC by Marco Olimpi
Modified: 2016-08-09 06:28 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Marco Olimpi 2016-08-08 14:04:24 UTC
In Xamarin Studio 5.x and previous versions, when we add files to the Assets folder on an Android projects, automaticaly the IDe set the "Build Action" property as "AndroidAssets". Now it set "None" and we need to manualy chenage this file by file.
Comment 1 xamarin-release-manager 2016-08-08 16:02:22 UTC
Fixed in version 6.2.0.305 (master)

Author: Greg Munn
Commit: 7e2d1ee77a3174a208be7ed11e973089a52874ce (xamarin/md-addins)
Included in Commit: de4c5b4058e82c3d7d9ca632efacfeefc80e7f4f (mono/monodevelop)
Comment 2 Mohit Kheterpal 2016-08-08 19:37:11 UTC
I have checked it with master build of XS i.e. 6.2.0.307 and observed that this issue has been fixed. I will verify this issue once fix will be merged in Cycle 8 builds

Screencast : http://www.screencast.com/t/4rjGvhTkatct

@greg : Please merge the fix in cycle 8 branch.

thanks
Comment 3 xamarin-release-manager 2016-08-08 19:41:39 UTC
Fixed in version 6.1.0.5312 (cycle8)

Author: Greg Munn
Commit: e9bc5153283c9b3d7b100e3ce126952d26de818f (xamarin/md-addins)
Included in Commit: 996086c73c751dc18b7e73fa7b561cbe59f3647f (mono/monodevelop)
Comment 4 Shruti 2016-08-09 06:28:39 UTC
I have checked this issue with C8 6.1.0.5312 build and observed that IDE automatically set the "Build Action" property as "AndroidAssets". when I add files to the Assets folder on an Android projects,

So,I am closing this issue.

Screencast : http://www.screencast.com/t/8fx04LKhK

Environment Info : https://gist.github.com/Shruti360/da0353059c9265605527430e301c9a22

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.